# $Revision: 1.141 $, $Date: 2008/07/21 08:09:42 $
# Conditional build:
%bcond_without	ada	# don't build with ada
#
%define		_state		stable
%define		_kdever		3.5.9
%define		_minbaseevr	9:%{_kdever}
%define		_minkdesdkevr	3:%{_kdever}

Summary:	KDE Integrated Development Environment
Summary(de.UTF-8):	KDevelop ist eine grafische Entwicklungsumgebung für KDE
Summary(pl.UTF-8):	Zintegrowane środowisko programisty dla KDE
Summary(pt_BR.UTF-8):	Ambiente Integrado de Desenvolvimento para o KDE
Summary(zh_CN.UTF-8):	KDE C/C++集成开发环境
Name:		kdevelop
Version:	3.5.2
Release:	3
Epoch:		7
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/ide/%{name}-%{version}.tar.bz2
# Source0-md5:	21c5085a4af3577d1d15fd169eb672a2
Patch0:		kde-common-PLD.patch
Patch1:		%{name}-am.patch
Patch2:		kde-ac260-lt.patch
Patch3:		%{name}-ncurses.patch
URL:		http://www.kdevelop.org/
# disabled, breaks with this new antlr
# BuildRequires:	antlr >= 2.7.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	doxygen
BuildRequires:	flex
%{?with_ada:BuildRequires:gcc-ada}
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel >= %{_minbaseevr}
BuildRequires:	kdesdk-libcvsservice-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	subversion-devel >= 1.2.0-4
BuildRequires:	zlib-devel
BuildConflicts:	star
Requires:	kdebase-core >= %{_minbaseevr}
Requires:	kdesdk-libcvsservice >= %{_minkdesdkevr}
Requires:	kdoc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to
programs like gdb, the C/C++ compiler, and make.

KDevelop manages or provides: all development tools needed for C++
programming like Compiler, Linker, automake and autoconf; KAppWizard,
which generates complete, ready-to-go sample applications;
Classgenerator, for creating new classes and integrating them into the
current project; File management for sources, headers, documentation
etc. to be included in the project; The creation of User-Handbooks
written with SGML and the automatic generation of HTML-output with the
KDE look and feel; Automatic HTML-based API-documentation for your
project's classes with cross-references to the used libraries;
Internationalization support for your application, allowing
translators to easily add their target language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%description -l de.UTF-8
KDevelop ist eine grafische Entwicklungsumgebung für KDE.

Das KDevelop-Projekt wurde 1998 begonnen, um eine einfach zu
bedienende grafische (integrierte Entwicklungsumgebung) für C++ und C
auf Unix-basierten Betriebssystemen bereitzustellen. Seit damals ist
die KDevelop-IDE öffentlich unter der GPL erhältlich und unterstützt
u. a. Qt-, KDE-, GNOME-, C++- und C-Projekte.

%description -l pl.UTF-8
KDevelop to zintegrowane środowisko programistyczne dla KDE, dające
wiele możliwości przydatnych programistom oraz zunifikowany interfejs
do programów typu gdb, kompilator C/C++ oraz make.

KDevelop obsługuje lub zawiera: wszystkie narzędzia programistyczne
potrzebne do programowania w C++ jak kompilator, linker, automake,
autoconf; KAppWizard, generujący kompletne, gotowe do uruchomienia,
proste aplikacje; Classgenerator do tworzenia nowych klas i włączania
ich do projektu; zarządzanie plikami źródłowymi, nagłówkowymi,
dokumentacją itp.; tworzenie podręczników użytkownika pisanych w SGML
i automatyczne generowanie wyjścia HTML pasującego do KDE;
automatyczne tworzenie dokumentacji API w HTML do klas projektu z
odniesieniami do używanych bibliotek; wsparcie dla
internacjonalizacji, pozwalające tłumaczom łatwo dodawać pliki z
tłumaczeniami do projektu.

KDevelop ma także tworzenie interfejsów użytkownika przy użyciu
edytora dialogów WYSIWYG; odpluskwianie aplikacji poprzez integrację z
KDbg; edycję ikon przy pomocy KIconEdit; dołączanie innych programów
potrzebnych do programowania przez dodanie ich do menu Tools według
własnych potrzeb.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__sed} -i -e 's/Terminal=0/Terminal=false/' \
	-e 's/\(^Categories=.*$\)/\1;/' \
	kdevelop.desktop

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs
%configure \
	--disable-rpath \
	--with-qt-libraries=%{_libdir} \
	%{!?with_ada:--disable-ada} \
	--disable-final \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with-apr-config=%{_bindir}/apr-1-config \
	--with-apu-config=%{_bindir}/apu-1-config \
	--with-svn-include=%{_includedir}/subversion-1 \
	--with-svn-lib=%{_libdir} \
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full}

# disabled, breaks with new antlr
# %{?with_ada:%{__make} -C languages/ada genparser}

%{__make}

%install
if [ ! -f makeinstall.stamp -o ! -d $RPM_BUILD_ROOT ]; then
	rm -rf makeinstall.stamp installed.stamp $RPM_BUILD_ROOT

	%{__make} install \
		DESTDIR=$RPM_BUILD_ROOT \
		kde_libs_htmldir=%{_kdedocdir} \
		kde_htmldir=%{_kdedocdir}

	touch makeinstall.stamp
fi

if [ ! -f installed.stamp ]; then
	mv $RPM_BUILD_ROOT%{_iconsdir}/{lo,hi}color/16x16/actions/kdevelop_tip.png
	mv $RPM_BUILD_ROOT%{_iconsdir}/{lo,hi}color/32x32/actions/kdevelop_tip.png

	rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/*.la
	rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

	touch installed.stamp
fi

%find_lang %{name} --with-kde --all-name


%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kdevassistant
%attr(755,root,root) %{_bindir}/kdevdesigner
%attr(755,root,root) %{_bindir}/kdevelop
%attr(755,root,root) %{_bindir}/kdevelop-htdig
%attr(755,root,root) %{_bindir}/kdevprj2kdevelop
%attr(755,root,root) %{_bindir}/kdevprofileeditor
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libd.so.0
%attr(755,root,root) %ghost %{_libdir}/libdesignerintegration.so.0
%attr(755,root,root) %ghost %{_libdir}/libdocumentation_interfaces.so.0
%attr(755,root,root) %ghost %{_libdir}/libgdbmi_parser.so.0
%attr(755,root,root) %ghost %{_libdir}/libkdevbuildbase.so.0
%attr(755,root,root) %ghost %{_libdir}/libkdevbuildtoolswidgets.so.0
%attr(755,root,root) %ghost %{_libdir}/libkdevcatalog.so.0
%attr(755,root,root) %ghost %{_libdir}/libkdevcppparser.so.0
%attr(755,root,root) %ghost %{_libdir}/libkdevelop.so.1
%attr(755,root,root) %ghost %{_libdir}/libkdevextras.so.0
%attr(755,root,root) %ghost %{_libdir}/libkdevpropertyeditor.so.0
%attr(755,root,root) %ghost %{_libdir}/libkdevqmakeparser.so.0
%attr(755,root,root) %ghost %{_libdir}/libkdevshell.so.0
%attr(755,root,root) %ghost %{_libdir}/libkdevwidgets.so.0
%attr(755,root,root) %ghost %{_libdir}/libkinterfacedesigner.so.0
%attr(755,root,root) %ghost %{_libdir}/liblang_debugger.so.0
%attr(755,root,root) %ghost %{_libdir}/liblang_interfaces.so.0
%attr(755,root,root) %ghost %{_libdir}/libprofileengine.so.0
%attr(755,root,root) %{_libdir}/kde3/*.so
%attr(755,root,root) %{_libdir}/kconf_update_bin/kdev-gen-settings-kconf_update
%{_datadir}/apps/kconf_update/kdev-gen-settings.upd
%{_datadir}/apps/kdevabbrev
%if %{with ada}
%{_datadir}/apps/kdevadaproject
%{_datadir}/apps/kdevadasupport
%endif
%{_datadir}/apps/kdevantproject
%{_datadir}/apps/kdevappoutputview
%{_datadir}/apps/kdevappwizard
%{_datadir}/apps/kdevassistant
%{_datadir}/apps/kdevastyle
%{_datadir}/apps/kdevautoproject
%{_datadir}/apps/kdevbashsupport
%{_datadir}/apps/kdevclassview
%{_datadir}/apps/kdevcppsupport
%{_datadir}/apps/kdevcsharpsupport
%{_datadir}/apps/kdevctags2
%{_datadir}/apps/kdevcustomproject
%{_datadir}/apps/kdevcvsservice
%{_datadir}/apps/kdevdebugger
%{_datadir}/apps/kdevdesigner
%{_datadir}/apps/kdevdesignerpart
%{_datadir}/apps/kdevdiff
%{_datadir}/apps/kdevdistpart
%{_datadir}/apps/kdevdocumentation
%{_datadir}/apps/kdevdoxygen
%{_datadir}/apps/kdevelop
%{_datadir}/apps/kdevfilecreate
%{_datadir}/apps/kdevfilelist
%{_datadir}/apps/kdevfilter
%{_datadir}/apps/kdevfortransupport
%{_datadir}/apps/kdevfullscreen
%{_datadir}/apps/kdevgrepview
%{_datadir}/apps/kdevjavasupport
%{_datadir}/apps/kdevmakeview
%{_datadir}/apps/kdevpartexplorer
%{_datadir}/apps/kdevpascalproject
%{_datadir}/apps/kdevpascalsupport
%{_datadir}/apps/kdevperlsupport
%{_datadir}/apps/kdevphpsupport
%{_datadir}/apps/kdevpythonsupport
%{_datadir}/apps/kdevquickopen
%{_datadir}/apps/kdevrbdebugger
%{_datadir}/apps/kdevregexptest
%{_datadir}/apps/kdevreplace
%{_datadir}/apps/kdevrubysupport
%{_datadir}/apps/kdevscripting
%{_datadir}/apps/kdevscriptproject
%{_datadir}/apps/kdevsnippet
%{_datadir}/apps/kdevsqlsupport
%{_datadir}/apps/kdevtipofday
%{_datadir}/apps/kdevtools
%{_datadir}/apps/kdevtrollproject
%{_datadir}/apps/kdevvalgrind
%{_datadir}/apps/kio_pydoc
%{_datadir}/config/kdevassistantrc
%{_datadir}/config/kdeveloprc
%{_datadir}/desktop-directories/kde-development-kdevelop.directory
%{_datadir}/mimelnk/application/x-kdevelop.desktop
%{_datadir}/mimelnk/text/x-fortran.desktop
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/services/kded/kdevsvnd.desktop
%{_datadir}/servicetypes/*.desktop
%{_desktopdir}/kde/*.desktop
%{_iconsdir}/hicolor/*/actions/breakpoint_add.png
%{_iconsdir}/hicolor/*/actions/breakpoint_delete.png
%{_iconsdir}/hicolor/*/actions/breakpoint_delete_all.png
%{_iconsdir}/hicolor/*/actions/breakpoint_edit.png
%{_iconsdir}/hicolor/*/actions/kdevelop_tip.png
%{_iconsdir}/hicolor/*/actions/ktip.png
%{_iconsdir}/hicolor/*/apps/kdevassistant.png
%{_iconsdir}/hicolor/*/apps/kdevdesigner.png
%{_iconsdir}/hicolor/*/apps/kdevelop.png

%{_includedir}/kdevelop
%{_includedir}/kinterfacedesigner

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdevelop.spec,v $
Revision 1.141  2008/07/21 08:09:42  arekm
- rel 3

Revision 1.140  2008/06/28 20:10:16  arekm
- release 2

Revision 1.139  2008/06/21 17:54:16  wolf
- 3.5.2

Revision 1.138  2008-05-02 08:19:25  glen
- BR: kdesdk-libcvsservice-devel; rel 5

Revision 1.137  2008-05-01 12:59:34  glen
- handle pld paths for ncurses in cppcurseshell app template; rel 4

Revision 1.136  2008-03-01 21:03:51  arekm
- rel 2; fix buildview output

Revision 1.135  2008-02-17 12:52:13  glen
- merged KDE 3.5.9 from AC-branch

Revision 1.134  2007/11/01 15:47:16  arekm
- rel 2; rebuild with fixed pcre

Revision 1.133  2007/10/09 16:08:59  arekm
- kdever 3.5.8

Revision 1.132  2007/10/09 15:59:50  arekm
- up to 3.5.0

Revision 1.131  2007/08/11 20:18:29  arekm
- rel 3

Revision 1.130  2007/07/26 17:04:23  arekm
- rel 2; rebuild with new db4.6

Revision 1.129  2007/05/15 08:59:04  arekm
- up to 3.4.1

Revision 1.128  2007/02/13 20:39:38  glen
- up kdever

Revision 1.127  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.126  2007/02/12 00:48:59  baggins
- converted to UTF-8

Revision 1.125  2007/02/09 12:04:07  arekm
- rel 3; fix qmake parser

Revision 1.124  2007/01/25 17:17:29  arekm
- rel 2; new tarball

Revision 1.123  2007/01/24 18:42:40  arekm
- up to 3.4.0

Revision 1.122  2007/01/10 00:54:32  arekm
- up to 3.3.94

Revision 1.121  2006/11/28 23:07:21  arekm
- disable R: libtool() stuff

Revision 1.120  2006/09/30 23:24:55  arekm
- apply lt patch

Revision 1.119  2006/09/30 22:23:38  arekm
- up to 3.3.92

Revision 1.118  2006/08/06 13:10:02  pluto
- don't include chm.desktop (kdelibs provides such one).

Revision 1.117  2006/07/31 15:07:41  pluto
- oops, brain damage. revert version to 3.3.91. it's a unstable 3.4
  branch for kde >= 3.4. features listed at:
  http://www.kdevelop.org/index.html?filename=3.4/features.html

Revision 1.116  2006/07/30 22:39:41  pluto
- fix version to avoid future epoch bumping (3.3.4 < 3.3.91).

Revision 1.115  2006/07/30 20:19:01  pluto
- updated to 3.3.4-beta1.

Revision 1.114  2006/05/26 07:56:39  arekm
- up to 3.3.3

Revision 1.113  2006/04/04 07:29:34  charles
- BR: rpm-pythonprov

Revision 1.112  2006/04/01 17:00:41  glen
- unify macros

Revision 1.111  2006/03/30 16:08:05  glen
- 3.3.2 (from KDE 3.5.2)

Revision 1.110  2006/01/25 16:35:10  pluto
- disable all-in-one compilation.

Revision 1.109  2006/01/22 22:27:57  ankry
- sorted

Revision 1.108  2006/01/22 22:16:10  arekm
- updated to 3.3.1

Revision 1.107  2005/11/25 12:52:56  arekm
- rel 1

Revision 1.106  2005/11/18 15:31:47  glen
- package kconf update script

Revision 1.105  2005/11/16 19:52:24  arekm
- up to 3.3.0

Revision 1.104  2005/10/10 11:18:11  arekm
- rel 1

Revision 1.103  2005/10/08 09:52:53  arekm
- up to 3.4.3

Revision 1.102  2005/08/26 16:34:36  twittner
- added `BuildConflicts: star'. gnutar (which belongs to star pkg) breaks
  builds:
   gnutar -cf gnu.tar -C ./gnu AUTHORS  COPYING \
   ChangeLog  INSTALL  NEWS  README  TODO
   No such file or directory. Cannot stat 'ChangeLog'.
   gnutar: No such file or directory. Cannot stat 'INSTALL'.
   [...]
   with gtar (tar pkg) everything goes OK.

Revision 1.101  2005/07/28 18:45:06  arekm
- rel 1

Revision 1.100  2005/07/22 06:01:51  arekm
- up to 3.2.2

Revision 1.99  2005/07/03 16:39:17  arekm
- rel 2; subversion support fixed

Revision 1.98  2005/06/01 06:09:08  arekm
- rel 1

Revision 1.97  2005/05/26 12:58:57  arekm
- up to 3.2.1

Revision 1.96  2005/04/29 16:04:08  arekm
- rel 2

Revision 1.95  2005/04/29 07:20:03  arekm
- other alpha test

Revision 1.94  2005/04/28 22:06:55  arekm
- try without rebuilding antlr related files

Revision 1.93  2005/04/26 21:37:27  arekm
- antlr segfaults on alpha, try a workaround

Revision 1.92  2005/04/18 08:18:25  charles
- updated to 3.2.0
- BR: doxygen
- cleanups, sorted BRs and %files

Revision 1.91  2005/03/23 11:35:24  spider
- added german description

Revision 1.90  2005/01/17 01:20:39  charles
- updated to 3.1.2
- removed Source0-size
- added %find_lang and %files fix

Revision 1.89  2004/12/25 17:55:31  qboosh
- cleanups

Revision 1.88  2004/11/01 14:47:01  djurban
- rebuild for the sport of it rel. 2

Revision 1.87  2004/10/31 19:07:49  djurban
- rel. 1 for ac, stbring

Revision 1.86  2004/10/31 09:35:11  qboosh
- more universal libsuffix (to catch ppc64/sparc64/s390x too)

Revision 1.85  2004/10/30 22:38:20  djurban
- fix what might cause kde not to work on amd64 (reported by undefine)
  PLEASE add it to all KDE specs

Revision 1.84  2004/10/30 22:34:22  djurban
- svn support enabled by default

Revision 1.83  2004/10/30 21:55:17  djurban
- more work being done

Revision 1.82  2004/10/03 10:12:54  adgor
- Typo

Revision 1.81  2004/09/21 02:45:34  ankry
- merged from AC-branch

Revision 1.80  2004/09/20 05:57:33  ankry
- desktop fix

Revision 1.79  2004/09/09 18:16:06  pluto
- %setup fixed.

Revision 1.78  2004/08/19 22:23:13  qboosh
- removed duplicated BR and cp
- don't leave invalid entries in files - they MUST be fixed

Revision 1.77  2004/08/18 11:24:20  djurban
- merged devel, updated to 3.1.0, clear changelog, includes violation
  of FHS, will check if fixable.
